Bug 23355 - Add a 'cashup' process to accounts
Summary: Add a 'cashup' process to accounts
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Fines and fees (show other bugs)
Version: master
Hardware: All All
: P5 - low new feature (vote)
Assignee: Martin Renvoize
QA Contact: Tomás Cohen Arazi
URL:
Keywords:
Depends on: 23493 24477 24478 24481 24482
Blocks: 24082 24792 24815 24820
  Show dependency treegraph
 
Reported: 2019-07-22 08:36 UTC by Martin Renvoize
Modified: 2020-05-18 14:42 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
This new feature complements the new 'Point of sale' page introduced in bug 23354 by adding a page to display historic transactions that have taken place on the selected cash register since the last 'cashup' event. One can record a 'cashup' from this page by comparing the summary values displayed on the page to the actual amounts found in the cash register and then clicking the 'cashup' button to record that this process has taken place.
Version(s) released in:
20.05.00


Attachments
Bug 23355: Add cash_register_actions table (3.31 KB, patch)
2019-09-18 14:58 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: [DO NOT PUSH] DBIC Classes (5.51 KB, patch)
2019-09-18 14:59 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: Add CASHUP actions (13.21 KB, patch)
2019-09-18 14:59 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: Add accountline deletion test (2.00 KB, patch)
2019-09-18 14:59 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: Link cash_register_actions to cash_registers by foreign key (1.75 KB, patch)
2019-09-18 14:59 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: Split tests for Line vs Lines (43.00 KB, patch)
2019-09-18 14:59 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: Tests for Account::Lines summation methods (8.60 KB, patch)
2019-09-18 14:59 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: Add summation methods to Koha::Account::Lines (2.98 KB, patch)
2019-09-18 14:59 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: Add relations to Koha::Account::Line (1.43 KB, patch)
2019-09-18 14:59 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: Add register details page (9.31 KB, patch)
2019-09-18 14:59 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: Add cashup permissions (1.86 KB, patch)
2019-09-18 14:59 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: Add branch details page (10.34 KB, patch)
2019-09-18 14:59 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23555: Use rowGroup plugin (11.54 KB, patch)
2019-09-18 14:59 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: Add cash_register_actions table (3.31 KB, patch)
2020-01-08 16:57 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: [DO NOT PUSH] DBIC Classes (5.48 KB, patch)
2020-01-08 16:57 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: Add CASHUP actions (13.21 KB, patch)
2020-01-08 16:57 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: Add accountline deletion test (2.00 KB, patch)
2020-01-08 16:57 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: Link cash_register_actions to cash_registers by foreign key (2.66 KB, patch)
2020-01-08 16:58 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: Split tests for Line vs Lines (68.84 KB, patch)
2020-01-08 16:58 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: Add register details page (9.31 KB, patch)
2020-01-08 16:58 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: Add cashup permissions (1.86 KB, patch)
2020-01-08 16:58 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: Add branch details page (10.34 KB, patch)
2020-01-08 16:58 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23555: Use rowGroup plugin (11.62 KB, patch)
2020-01-08 16:58 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: Remove superflous use of AuthoriseValues (800 bytes, patch)
2020-01-08 16:58 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: Add cash_register_actions table (3.38 KB, patch)
2020-01-08 18:11 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 23355: Add cash_register_actions table (3.38 KB, patch)
2020-01-08 18:11 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 23355: [DO NOT PUSH] DBIC Classes (5.55 KB, patch)
2020-01-08 18:12 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 23355: Add CASHUP actions (13.28 KB, patch)
2020-01-08 18:12 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 23355: Add accountline deletion test (2.08 KB, patch)
2020-01-08 18:12 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 23355: Link cash_register_actions to cash_registers by foreign key (2.73 KB, patch)
2020-01-08 18:12 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 23355: Split tests for Line vs Lines (68.91 KB, patch)
2020-01-08 18:12 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 23355: Add register details page (9.38 KB, patch)
2020-01-08 18:12 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 23355: Add cashup permissions (1.93 KB, patch)
2020-01-08 18:12 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 23355: Add branch details page (10.41 KB, patch)
2020-01-08 18:12 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 23555: Use rowGroup plugin (11.69 KB, patch)
2020-01-08 18:12 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 23355: Remove superflous use of AuthoriseValues (873 bytes, patch)
2020-01-08 18:12 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 23355: Add cash_register_actions table (3.51 KB, patch)
2020-01-09 13:54 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: [DO NOT PUSH] DBIC Classes (5.54 KB, patch)
2020-01-09 13:54 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: Add CASHUP actions (13.42 KB, patch)
2020-01-09 13:54 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: Add accountline deletion test (2.06 KB, patch)
2020-01-09 13:54 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: Link cash_register_actions to cash_registers by foreign key (2.72 KB, patch)
2020-01-09 13:54 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: Split tests for Line vs Lines (70.33 KB, patch)
2020-01-09 13:54 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: Add register details page (9.36 KB, patch)
2020-01-09 13:54 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: Add cashup permissions (1.92 KB, patch)
2020-01-09 13:54 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: Add branch details page (10.39 KB, patch)
2020-01-09 13:54 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23555: Use rowGroup plugin (11.67 KB, patch)
2020-01-09 13:54 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: Remove superflous use of AuthoriseValues (855 bytes, patch)
2020-01-09 13:54 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: Use rowGroup plugin (11.62 KB, patch)
2020-01-09 13:55 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: Remove superflous use of AuthoriseValues (855 bytes, patch)
2020-01-09 13:55 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: Add cash_register_actions table (3.51 KB, patch)
2020-01-22 12:45 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: [DO NOT PUSH] DBIC Classes (5.54 KB, patch)
2020-01-22 12:45 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: Add CASHUP actions (13.42 KB, patch)
2020-01-22 12:45 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: Add accountline deletion test (2.06 KB, patch)
2020-01-22 12:45 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: Link cash_register_actions to cash_registers by foreign key (2.72 KB, patch)
2020-01-22 12:46 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: Split tests for Line vs Lines (70.33 KB, patch)
2020-01-22 12:46 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: Add register details page (9.36 KB, patch)
2020-01-22 12:46 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: Add cashup permissions (1.92 KB, patch)
2020-01-22 12:46 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: Add branch details page (10.39 KB, patch)
2020-01-22 12:46 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: Use rowGroup plugin (5.05 KB, patch)
2020-01-22 12:46 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: Remove superflous use of AuthoriseValues (855 bytes, patch)
2020-01-22 12:46 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: Add cash_register_actions table (3.51 KB, patch)
2020-01-23 10:58 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: [DO NOT PUSH] DBIC Classes (5.54 KB, patch)
2020-01-23 10:58 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: Add CASHUP actions (13.42 KB, patch)
2020-01-23 10:58 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: Add accountline deletion test (2.06 KB, patch)
2020-01-23 10:58 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: Link cash_register_actions to cash_registers by foreign key (2.72 KB, patch)
2020-01-23 10:58 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: Split tests for Line vs Lines (70.33 KB, patch)
2020-01-23 10:58 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: Add register details page (9.35 KB, patch)
2020-01-23 10:58 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: Add cashup permissions (1.92 KB, patch)
2020-01-23 10:58 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: Add branch details page (10.39 KB, patch)
2020-01-23 10:58 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: Use rowGroup plugin (5.05 KB, patch)
2020-01-23 10:59 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: Remove superflous use of AuthoriseValues (855 bytes, patch)
2020-01-23 10:59 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: Add cash_register_actions table (3.51 KB, patch)
2020-01-23 14:15 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: [DO NOT PUSH] DBIC Classes (5.54 KB, patch)
2020-01-23 14:15 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: Add CASHUP actions (13.42 KB, patch)
2020-01-23 14:15 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: Add accountline deletion test (2.17 KB, patch)
2020-01-23 14:15 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: Link cash_register_actions to cash_registers by foreign key (2.72 KB, patch)
2020-01-23 14:15 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: Split tests for Line vs Lines (70.46 KB, patch)
2020-01-23 14:16 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: Add register details page (13.47 KB, patch)
2020-01-23 14:16 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: Add cashup permissions (3.42 KB, patch)
2020-01-23 14:16 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24082: Add `anonymous_refund` permission to `cash_management` (4.94 KB, patch)
2020-01-28 13:53 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24082: Add refund action to relevant lines (8.62 KB, patch)
2020-01-28 13:54 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24082: Add access to historical transactions (10.50 KB, patch)
2020-01-28 13:54 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: Add cash_register_actions table (3.51 KB, patch)
2020-02-13 14:37 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: [DO NOT PUSH] DBIC Classes (5.54 KB, patch)
2020-02-13 14:37 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: Add CASHUP actions (13.42 KB, patch)
2020-02-13 14:37 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: Add accountline deletion test (2.17 KB, patch)
2020-02-13 14:37 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: Link cash_register_actions to cash_registers by foreign key (2.72 KB, patch)
2020-02-13 14:37 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: Split tests for Line vs Lines (70.46 KB, patch)
2020-02-13 14:37 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: Add register details page (13.47 KB, patch)
2020-02-13 14:37 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: Add cashup permissions (3.42 KB, patch)
2020-02-13 14:37 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: Add cash_register_actions table (3.56 KB, patch)
2020-03-03 14:10 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 23355: [DO NOT PUSH] DBIC Classes (5.59 KB, patch)
2020-03-03 14:10 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 23355: Add CASHUP actions (13.44 KB, patch)
2020-03-03 14:10 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 23355: Add accountline deletion test (2.22 KB, patch)
2020-03-03 14:10 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 23355: Link cash_register_actions to cash_registers by foreign key (2.77 KB, patch)
2020-03-03 14:10 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 23355: Split tests for Line vs Lines (70.51 KB, patch)
2020-03-03 14:10 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 23355: Add register details page (13.53 KB, patch)
2020-03-03 14:10 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 23355: Add cashup permissions (3.47 KB, patch)
2020-03-03 14:10 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 23355: License fixes (5.16 KB, patch)
2020-03-03 14:10 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 23355: (QA follow-up) Add missing TT filters (1.84 KB, patch)
2020-03-03 14:11 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 23355: (QA follow-up) Missing koha_object(s)_class definitions (1.05 KB, patch)
2020-03-03 14:11 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 23355: Rename staff_id for manager_id (3.60 KB, patch)
2020-03-03 14:11 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 23355: (QA follow-up) Add a modal confirm to the cashup action (2.75 KB, patch)
2020-03-03 14:12 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23355: (QA follow-up) Add a modal confirm to the cashup action (2.80 KB, patch)
2020-03-03 14:15 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 23355: Make "Print receipt" translatable (1.28 KB, patch)
2020-03-04 08:49 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 23355: (RM follow-up) Make DB update idempotent (2.10 KB, patch)
2020-03-25 11:32 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2019-07-22 08:36:30 UTC
With the addition of cash registers in bug 23321 it would be helpful to have a workflow to ease the 'cashup' process. (i.e. matching up cash register contents at the end of the day with the sum of the transactions having taken place.)
Comment 1 Martin Renvoize 2019-09-18 14:58:57 UTC
Created attachment 92941 [details] [review]
Bug 23355: Add cash_register_actions table
Comment 2 Martin Renvoize 2019-09-18 14:59:00 UTC
Created attachment 92942 [details] [review]
Bug 23355: [DO NOT PUSH] DBIC Classes
Comment 3 Martin Renvoize 2019-09-18 14:59:03 UTC
Created attachment 92943 [details] [review]
Bug 23355: Add CASHUP actions
Comment 4 Martin Renvoize 2019-09-18 14:59:07 UTC
Created attachment 92944 [details] [review]
Bug 23355: Add accountline deletion test
Comment 5 Martin Renvoize 2019-09-18 14:59:09 UTC
Created attachment 92945 [details] [review]
Bug 23355: Link cash_register_actions to cash_registers by foreign key
Comment 6 Martin Renvoize 2019-09-18 14:59:12 UTC
Created attachment 92946 [details] [review]
Bug 23355: Split tests for Line vs Lines
Comment 7 Martin Renvoize 2019-09-18 14:59:15 UTC
Created attachment 92947 [details] [review]
Bug 23355: Tests for Account::Lines summation methods
Comment 8 Martin Renvoize 2019-09-18 14:59:18 UTC
Created attachment 92948 [details] [review]
Bug 23355: Add summation methods to Koha::Account::Lines

This patch adds a number of summation methods to Koha::Account::Lines
giving quick access to overall total, total credits and total debits.
Comment 9 Martin Renvoize 2019-09-18 14:59:21 UTC
Created attachment 92949 [details] [review]
Bug 23355: Add relations to Koha::Account::Line

This patch adds two new relationships to the Koha::Account::Line object.

* credit_offsets - returns all credit type Koha::Account::Offsets
  related to this Koha::Account::Line.
* debit_offsets - returns all debit type Koha::Account::Offsets related
  to this Koha::Account::Line.
Comment 10 Martin Renvoize 2019-09-18 14:59:25 UTC
Created attachment 92950 [details] [review]
Bug 23355: Add register details page
Comment 11 Martin Renvoize 2019-09-18 14:59:29 UTC
Created attachment 92951 [details] [review]
Bug 23355: Add cashup permissions
Comment 12 Martin Renvoize 2019-09-18 14:59:32 UTC
Created attachment 92952 [details] [review]
Bug 23355: Add branch details page

This patch adds a new 'branch details' page to the POS system which
displays a summary of the cash register transactions for a branch
since each register was last cashed up. It also allows for cashing
up individual registers or cashing up all registers at a given branch
in one transaction.
Comment 13 Martin Renvoize 2019-09-18 14:59:35 UTC
Created attachment 92953 [details] [review]
Bug 23555: Use rowGroup plugin
Comment 14 Martin Renvoize 2020-01-08 16:57:49 UTC
Created attachment 97031 [details] [review]
Bug 23355: Add cash_register_actions table
Comment 15 Martin Renvoize 2020-01-08 16:57:52 UTC
Created attachment 97032 [details] [review]
Bug 23355: [DO NOT PUSH] DBIC Classes
Comment 16 Martin Renvoize 2020-01-08 16:57:55 UTC
Created attachment 97033 [details] [review]
Bug 23355: Add CASHUP actions
Comment 17 Martin Renvoize 2020-01-08 16:57:57 UTC
Created attachment 97034 [details] [review]
Bug 23355: Add accountline deletion test
Comment 18 Martin Renvoize 2020-01-08 16:58:00 UTC
Created attachment 97035 [details] [review]
Bug 23355: Link cash_register_actions to cash_registers by foreign key
Comment 19 Martin Renvoize 2020-01-08 16:58:04 UTC
Created attachment 97036 [details] [review]
Bug 23355: Split tests for Line vs Lines
Comment 20 Martin Renvoize 2020-01-08 16:58:06 UTC
Created attachment 97037 [details] [review]
Bug 23355: Add register details page
Comment 21 Martin Renvoize 2020-01-08 16:58:09 UTC
Created attachment 97038 [details] [review]
Bug 23355: Add cashup permissions
Comment 22 Martin Renvoize 2020-01-08 16:58:12 UTC
Created attachment 97039 [details] [review]
Bug 23355: Add branch details page

This patch adds a new 'branch details' page to the POS system which
displays a summary of the cash register transactions for a branch
since each register was last cashed up. It also allows for cashing
up individual registers or cashing up all registers at a given branch
in one transaction.
Comment 23 Martin Renvoize 2020-01-08 16:58:15 UTC
Created attachment 97040 [details] [review]
Bug 23555: Use rowGroup plugin
Comment 24 Martin Renvoize 2020-01-08 16:58:18 UTC
Created attachment 97041 [details] [review]
Bug 23355: Remove superflous use of AuthoriseValues
Comment 25 Kyle M Hall 2020-01-08 18:11:06 UTC
Created attachment 97043 [details] [review]
Bug 23355: Add cash_register_actions table

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 26 Kyle M Hall 2020-01-08 18:11:28 UTC
Created attachment 97044 [details] [review]
Bug 23355: Add cash_register_actions table

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 27 Kyle M Hall 2020-01-08 18:12:06 UTC
Created attachment 97045 [details] [review]
Bug 23355: [DO NOT PUSH] DBIC Classes

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 28 Kyle M Hall 2020-01-08 18:12:10 UTC
Created attachment 97046 [details] [review]
Bug 23355: Add CASHUP actions

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 29 Kyle M Hall 2020-01-08 18:12:13 UTC
Created attachment 97047 [details] [review]
Bug 23355: Add accountline deletion test

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 30 Kyle M Hall 2020-01-08 18:12:16 UTC
Created attachment 97048 [details] [review]
Bug 23355: Link cash_register_actions to cash_registers by foreign key

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 31 Kyle M Hall 2020-01-08 18:12:19 UTC
Created attachment 97049 [details] [review]
Bug 23355: Split tests for Line vs Lines

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 32 Kyle M Hall 2020-01-08 18:12:22 UTC
Created attachment 97050 [details] [review]
Bug 23355: Add register details page

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 33 Kyle M Hall 2020-01-08 18:12:25 UTC
Created attachment 97051 [details] [review]
Bug 23355: Add cashup permissions

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 34 Kyle M Hall 2020-01-08 18:12:29 UTC
Created attachment 97052 [details] [review]
Bug 23355: Add branch details page

This patch adds a new 'branch details' page to the POS system which
displays a summary of the cash register transactions for a branch
since each register was last cashed up. It also allows for cashing
up individual registers or cashing up all registers at a given branch
in one transaction.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 35 Kyle M Hall 2020-01-08 18:12:32 UTC
Created attachment 97053 [details] [review]
Bug 23555: Use rowGroup plugin

https://bugs.koha-community.org/show_bug.cgi?id=23355

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 36 Kyle M Hall 2020-01-08 18:12:35 UTC
Created attachment 97054 [details] [review]
Bug 23355: Remove superflous use of AuthoriseValues

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 37 Martin Renvoize 2020-01-09 13:54:19 UTC
Created attachment 97077 [details] [review]
Bug 23355: Add cash_register_actions table

This patch adds the new cash_register_actions database table to allow
for storing of cash register actions which are not already stored as
accountlines.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 38 Martin Renvoize 2020-01-09 13:54:22 UTC
Created attachment 97078 [details] [review]
Bug 23355: [DO NOT PUSH] DBIC Classes

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 39 Martin Renvoize 2020-01-09 13:54:26 UTC
Created attachment 97079 [details] [review]
Bug 23355: Add CASHUP actions

This patch adds a methods relating to cashup procedures to the cash
register object to ease adding and querying for cashup actions related
to the register.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 40 Martin Renvoize 2020-01-09 13:54:29 UTC
Created attachment 97080 [details] [review]
Bug 23355: Add accountline deletion test

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 41 Martin Renvoize 2020-01-09 13:54:32 UTC
Created attachment 97081 [details] [review]
Bug 23355: Link cash_register_actions to cash_registers by foreign key

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 42 Martin Renvoize 2020-01-09 13:54:36 UTC
Created attachment 97082 [details] [review]
Bug 23355: Split tests for Line vs Lines

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 43 Martin Renvoize 2020-01-09 13:54:39 UTC
Created attachment 97083 [details] [review]
Bug 23355: Add register details page

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 44 Martin Renvoize 2020-01-09 13:54:42 UTC
Created attachment 97084 [details] [review]
Bug 23355: Add cashup permissions

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 45 Martin Renvoize 2020-01-09 13:54:45 UTC
Created attachment 97085 [details] [review]
Bug 23355: Add branch details page

This patch adds a new 'branch details' page to the POS system which
displays a summary of the cash register transactions for a branch
since each register was last cashed up. It also allows for cashing
up individual registers or cashing up all registers at a given branch
in one transaction.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 46 Martin Renvoize 2020-01-09 13:54:48 UTC
Created attachment 97086 [details] [review]
Bug 23555: Use rowGroup plugin

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 47 Martin Renvoize 2020-01-09 13:54:51 UTC
Created attachment 97087 [details] [review]
Bug 23355: Remove superflous use of AuthoriseValues

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 48 Martin Renvoize 2020-01-09 13:55:53 UTC
Created attachment 97088 [details] [review]
Bug 23355: Use rowGroup plugin

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 49 Martin Renvoize 2020-01-09 13:55:56 UTC
Created attachment 97089 [details] [review]
Bug 23355: Remove superflous use of AuthoriseValues

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 50 Martin Renvoize 2020-01-09 13:56:31 UTC
Rebased
Comment 51 Martin Renvoize 2020-01-22 12:45:49 UTC
Created attachment 97706 [details] [review]
Bug 23355: Add cash_register_actions table

This patch adds the new cash_register_actions database table to allow
for storing of cash register actions which are not already stored as
accountlines.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 52 Martin Renvoize 2020-01-22 12:45:52 UTC
Created attachment 97707 [details] [review]
Bug 23355: [DO NOT PUSH] DBIC Classes

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 53 Martin Renvoize 2020-01-22 12:45:55 UTC
Created attachment 97708 [details] [review]
Bug 23355: Add CASHUP actions

This patch adds a methods relating to cashup procedures to the cash
register object to ease adding and querying for cashup actions related
to the register.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 54 Martin Renvoize 2020-01-22 12:45:59 UTC
Created attachment 97709 [details] [review]
Bug 23355: Add accountline deletion test

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 55 Martin Renvoize 2020-01-22 12:46:03 UTC
Created attachment 97710 [details] [review]
Bug 23355: Link cash_register_actions to cash_registers by foreign key

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 56 Martin Renvoize 2020-01-22 12:46:06 UTC
Created attachment 97711 [details] [review]
Bug 23355: Split tests for Line vs Lines

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 57 Martin Renvoize 2020-01-22 12:46:09 UTC
Created attachment 97712 [details] [review]
Bug 23355: Add register details page

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 58 Martin Renvoize 2020-01-22 12:46:13 UTC
Created attachment 97713 [details] [review]
Bug 23355: Add cashup permissions

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 59 Martin Renvoize 2020-01-22 12:46:16 UTC
Created attachment 97714 [details] [review]
Bug 23355: Add branch details page

This patch adds a new 'branch details' page to the POS system which
displays a summary of the cash register transactions for a branch
since each register was last cashed up. It also allows for cashing
up individual registers or cashing up all registers at a given branch
in one transaction.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 60 Martin Renvoize 2020-01-22 12:46:20 UTC
Created attachment 97715 [details] [review]
Bug 23355: Use rowGroup plugin

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 61 Martin Renvoize 2020-01-22 12:46:23 UTC
Created attachment 97716 [details] [review]
Bug 23355: Remove superflous use of AuthoriseValues

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 62 Martin Renvoize 2020-01-22 12:46:41 UTC
Rebased for dependancy order change.
Comment 63 Martin Renvoize 2020-01-23 10:58:31 UTC
Created attachment 97784 [details] [review]
Bug 23355: Add cash_register_actions table

This patch adds the new cash_register_actions database table to allow
for storing of cash register actions which are not already stored as
accountlines.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 64 Martin Renvoize 2020-01-23 10:58:34 UTC
Created attachment 97785 [details] [review]
Bug 23355: [DO NOT PUSH] DBIC Classes

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 65 Martin Renvoize 2020-01-23 10:58:38 UTC
Created attachment 97786 [details] [review]
Bug 23355: Add CASHUP actions

This patch adds a methods relating to cashup procedures to the cash
register object to ease adding and querying for cashup actions related
to the register.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 66 Martin Renvoize 2020-01-23 10:58:41 UTC
Created attachment 97787 [details] [review]
Bug 23355: Add accountline deletion test

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 67 Martin Renvoize 2020-01-23 10:58:45 UTC
Created attachment 97788 [details] [review]
Bug 23355: Link cash_register_actions to cash_registers by foreign key

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 68 Martin Renvoize 2020-01-23 10:58:48 UTC
Created attachment 97789 [details] [review]
Bug 23355: Split tests for Line vs Lines

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 69 Martin Renvoize 2020-01-23 10:58:52 UTC
Created attachment 97790 [details] [review]
Bug 23355: Add register details page

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 70 Martin Renvoize 2020-01-23 10:58:55 UTC
Created attachment 97791 [details] [review]
Bug 23355: Add cashup permissions

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 71 Martin Renvoize 2020-01-23 10:58:59 UTC
Created attachment 97792 [details] [review]
Bug 23355: Add branch details page

This patch adds a new 'branch details' page to the POS system which
displays a summary of the cash register transactions for a branch
since each register was last cashed up. It also allows for cashing
up individual registers or cashing up all registers at a given branch
in one transaction.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 72 Martin Renvoize 2020-01-23 10:59:02 UTC
Created attachment 97793 [details] [review]
Bug 23355: Use rowGroup plugin

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 73 Martin Renvoize 2020-01-23 10:59:05 UTC
Created attachment 97794 [details] [review]
Bug 23355: Remove superflous use of AuthoriseValues

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 74 Martin Renvoize 2020-01-23 14:15:45 UTC
Created attachment 97816 [details] [review]
Bug 23355: Add cash_register_actions table

This patch adds the new cash_register_actions database table to allow
for storing of cash register actions which are not already stored as
accountlines.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 75 Martin Renvoize 2020-01-23 14:15:48 UTC
Created attachment 97817 [details] [review]
Bug 23355: [DO NOT PUSH] DBIC Classes

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 76 Martin Renvoize 2020-01-23 14:15:52 UTC
Created attachment 97818 [details] [review]
Bug 23355: Add CASHUP actions

This patch adds methods relating to cashup procedures to the cash
register object to ease adding and querying for cashup actions related
to the register.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 77 Martin Renvoize 2020-01-23 14:15:55 UTC
Created attachment 97819 [details] [review]
Bug 23355: Add accountline deletion test

This patch adds a test to ensure database relations do not cascade
deletions when a cash register is deleted.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 78 Martin Renvoize 2020-01-23 14:15:59 UTC
Created attachment 97820 [details] [review]
Bug 23355: Link cash_register_actions to cash_registers by foreign key

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 79 Martin Renvoize 2020-01-23 14:16:02 UTC
Created attachment 97821 [details] [review]
Bug 23355: Split tests for Line vs Lines

This patch simply splits the existing tests for accountlines into two
test files, one for the singular object and one for the set.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 80 Martin Renvoize 2020-01-23 14:16:06 UTC
Created attachment 97822 [details] [review]
Bug 23355: Add register details page

This patch adds a new page which can be accessed via the menu to the
left of the point of sale page.  This new page displays a list of
transactions since the last 'cashup' action, a summary of transaction
amounts and a button to allow the recording of a new 'cashup action.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 81 Martin Renvoize 2020-01-23 14:16:10 UTC
Created attachment 97823 [details] [review]
Bug 23355: Add cashup permissions

Add new 'cashup' sub-permissions to the 'cash_management' permission to
allow fine grained control over whome may 'cashup' a cash register.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 82 Martin Renvoize 2020-01-28 13:53:59 UTC
Created attachment 98026 [details] [review]
Bug 24082: Add `anonymous_refund` permission to `cash_management`

This patch adds the new `anonymous_refund` permission to the
`cash_management` flag and binds it to the visability of the register
details page.
Comment 83 Martin Renvoize 2020-01-28 13:54:03 UTC
Created attachment 98027 [details] [review]
Bug 24082: Add refund action to relevant lines
Comment 84 Martin Renvoize 2020-01-28 13:54:06 UTC
Created attachment 98028 [details] [review]
Bug 24082: Add access to historical transactions
Comment 85 Martin Renvoize 2020-02-13 14:37:21 UTC
Created attachment 98835 [details] [review]
Bug 23355: Add cash_register_actions table

This patch adds the new cash_register_actions database table to allow
for storing of cash register actions which are not already stored as
accountlines.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 86 Martin Renvoize 2020-02-13 14:37:24 UTC
Created attachment 98836 [details] [review]
Bug 23355: [DO NOT PUSH] DBIC Classes

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 87 Martin Renvoize 2020-02-13 14:37:29 UTC
Created attachment 98837 [details] [review]
Bug 23355: Add CASHUP actions

This patch adds methods relating to cashup procedures to the cash
register object to ease adding and querying for cashup actions related
to the register.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 88 Martin Renvoize 2020-02-13 14:37:33 UTC
Created attachment 98838 [details] [review]
Bug 23355: Add accountline deletion test

This patch adds a test to ensure database relations do not cascade
deletions when a cash register is deleted.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 89 Martin Renvoize 2020-02-13 14:37:36 UTC
Created attachment 98839 [details] [review]
Bug 23355: Link cash_register_actions to cash_registers by foreign key

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 90 Martin Renvoize 2020-02-13 14:37:40 UTC
Created attachment 98840 [details] [review]
Bug 23355: Split tests for Line vs Lines

This patch simply splits the existing tests for accountlines into two
test files, one for the singular object and one for the set.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 91 Martin Renvoize 2020-02-13 14:37:44 UTC
Created attachment 98841 [details] [review]
Bug 23355: Add register details page

This patch adds a new page which can be accessed via the menu to the
left of the point of sale page.  This new page displays a list of
transactions since the last 'cashup' action, a summary of transaction
amounts and a button to allow the recording of a new 'cashup action.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 92 Martin Renvoize 2020-02-13 14:37:48 UTC
Created attachment 98842 [details] [review]
Bug 23355: Add cashup permissions

Add new 'cashup' sub-permissions to the 'cash_management' permission to
allow fine grained control over whome may 'cashup' a cash register.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 93 Tomás Cohen Arazi 2020-03-03 14:10:21 UTC
Created attachment 100009 [details] [review]
Bug 23355: Add cash_register_actions table

This patch adds the new cash_register_actions database table to allow
for storing of cash register actions which are not already stored as
accountlines.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 94 Tomás Cohen Arazi 2020-03-03 14:10:26 UTC
Created attachment 100010 [details] [review]
Bug 23355: [DO NOT PUSH] DBIC Classes

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 95 Tomás Cohen Arazi 2020-03-03 14:10:31 UTC
Created attachment 100011 [details] [review]
Bug 23355: Add CASHUP actions

This patch adds methods relating to cashup procedures to the cash
register object to ease adding and querying for cashup actions related
to the register.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 96 Tomás Cohen Arazi 2020-03-03 14:10:35 UTC
Created attachment 100012 [details] [review]
Bug 23355: Add accountline deletion test

This patch adds a test to ensure database relations do not cascade
deletions when a cash register is deleted.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 97 Tomás Cohen Arazi 2020-03-03 14:10:40 UTC
Created attachment 100013 [details] [review]
Bug 23355: Link cash_register_actions to cash_registers by foreign key

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 98 Tomás Cohen Arazi 2020-03-03 14:10:44 UTC
Created attachment 100014 [details] [review]
Bug 23355: Split tests for Line vs Lines

This patch simply splits the existing tests for accountlines into two
test files, one for the singular object and one for the set.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 99 Tomás Cohen Arazi 2020-03-03 14:10:49 UTC
Created attachment 100015 [details] [review]
Bug 23355: Add register details page

This patch adds a new page which can be accessed via the menu to the
left of the point of sale page.  This new page displays a list of
transactions since the last 'cashup' action, a summary of transaction
amounts and a button to allow the recording of a new 'cashup action.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 100 Tomás Cohen Arazi 2020-03-03 14:10:53 UTC
Created attachment 100016 [details] [review]
Bug 23355: Add cashup permissions

Add new 'cashup' sub-permissions to the 'cash_management' permission to
allow fine grained control over whome may 'cashup' a cash register.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 101 Tomás Cohen Arazi 2020-03-03 14:10:58 UTC
Created attachment 100017 [details] [review]
Bug 23355: License fixes

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 102 Tomás Cohen Arazi 2020-03-03 14:11:02 UTC
Created attachment 100018 [details] [review]
Bug 23355: (QA follow-up) Add missing TT filters

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 103 Tomás Cohen Arazi 2020-03-03 14:11:07 UTC
Created attachment 100019 [details] [review]
Bug 23355: (QA follow-up) Missing koha_object(s)_class definitions

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 104 Tomás Cohen Arazi 2020-03-03 14:11:11 UTC
Created attachment 100020 [details] [review]
Bug 23355: Rename staff_id for manager_id

This patch makes the parameter naming more consistent and also fixes the
tests (there was a missmatch on the parameter naming, and tests count
was incorrect).

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 105 Martin Renvoize 2020-03-03 14:12:49 UTC
Created attachment 100021 [details] [review]
Bug 23355: (QA follow-up) Add a modal confirm to the cashup action

This patch adds a simple modal to confirm the cashup action adding a
safely measure to it.
Comment 106 Tomás Cohen Arazi 2020-03-03 14:15:11 UTC
Created attachment 100030 [details] [review]
Bug 23355: (QA follow-up) Add a modal confirm to the cashup action

This patch adds a simple modal to confirm the cashup action adding a
safely measure to it.

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 107 Martin Renvoize 2020-03-03 15:03:17 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 108 paxed 2020-03-04 07:41:48 UTC
This added an untranslatable "Print receipt" button.
Comment 109 Jonathan Druart 2020-03-04 08:25:45 UTC
(In reply to Tomás Cohen Arazi from comment #98)
> Created attachment 100014 [details] [review] [review]
> Bug 23355: Split tests for Line vs Lines
> 
> This patch simply splits the existing tests for accountlines into two
> test files, one for the singular object and one for the set.

Did we really decided that? I do not see the point to multiplicate the number of test files.
Comment 110 Jonathan Druart 2020-03-04 08:49:50 UTC
Created attachment 100090 [details] [review]
Bug 23355: Make "Print receipt" translatable
Comment 111 Martin Renvoize 2020-03-04 08:52:39 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 112 Martin Renvoize 2020-03-04 08:56:10 UTC
(In reply to Jonathan Druart from comment #109)
> (In reply to Tomás Cohen Arazi from comment #98)
> > Created attachment 100014 [details] [review] [review] [review]
> > Bug 23355: Split tests for Line vs Lines
> > 
> > This patch simply splits the existing tests for accountlines into two
> > test files, one for the singular object and one for the set.
> 
> Did we really decided that? I do not see the point to multiplicate the
> number of test files.

Personally.. I find it much clearer to have a test file per class.. we made the decision to not go the DBIx::Class by splitting our result classes in two.. one for plural one for singular.. we should do the exact same thing in the tests otherwise it gets difficult to find where a function is tested.

Also, from a debugging and code reading perspective, I find it hard to find a test in a really really really long single test file.. it's much easier to find the relevant test in a shorted file ;)
Comment 113 Jonathan Druart 2020-03-04 09:42:46 UTC
I am sure you can use '/' in your editor, and git grep when you are in a shell. H
ard to find is not a valid answer :D
Let's have this discussion later, somewhere else, but please do not consider that everybody agreed on it.
Comment 114 Tomás Cohen Arazi 2020-03-04 11:32:58 UTC
(In reply to Jonathan Druart from comment #109)
> (In reply to Tomás Cohen Arazi from comment #98)
> > Created attachment 100014 [details] [review] [review] [review]
> > Bug 23355: Split tests for Line vs Lines
> > 
> > This patch simply splits the existing tests for accountlines into two
> > test files, one for the singular object and one for the set.
> 
> Did we really decided that? I do not see the point to multiplicate the
> number of test files.

When I saw how big the tests file got due to previous additions and having plural vs. singular classes tests all mixed I thought of filing a bug to split this myself. I was really happy when I saw Martin did it! LOL

As you say, worth discussing somewhere else.
Comment 115 Martin Renvoize 2020-03-25 11:32:29 UTC
Created attachment 101685 [details] [review]
Bug 23355: (RM follow-up) Make DB update idempotent

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 116 Tomás Cohen Arazi 2020-03-25 12:09:27 UTC
(In reply to Martin Renvoize from comment #115)
> Created attachment 101685 [details] [review] [review]
> Bug 23355: (RM follow-up) Make DB update idempotent
> 
> Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

We use if ( !TableExists() )
Comment 117 Martin Renvoize 2020-03-26 15:48:44 UTC
ack.. I attached the followup to entirely the wrong bug.. and got the followup wrong too!
Comment 118 Joy Nelson 2020-04-01 20:56:39 UTC
New feature not backported to 19.11.x